export const orderStateMap = {
  '-': '未支付',
  '0000': '交易成功',
  '1001': '交易不存在',
  // 如果是实时交易(例如刷卡支付,交易撤销,退货),建议每隔一段时间(10秒)查询交易
  '2008': '交易处理中,请查询交易',
  // 如果是实时交易(例如刷卡支付,交易撤销,退货),建议每隔一段时间(10秒)查询交易
  '2000': '交易处理中,请查询交易',
  // 3开头的错误码代表交易失败
  '3888': '流水号重复',
  '3889': '交易控制失败，具体原因看errmsg',
  '3099': '渠道商户错误',
  '3014': '交易金额小于应收手续费',
  '3031': '校验实名信息失败',
  '3088': '交易未支付(在查询时间区间内未成功支付,如已影响资金24小时内会做差错退款处理)',
  '3089': '撤销异常,如已影响资金24小时内会做差错退款处理',
  '3045': '其他错误，具体原因看errmsg',
  '3050': '交易已被撤销',
  '3999': '其他错误，具体原因看errmsg'
}

export enum PayType {
  W01 = '微信扫码支付',
  A01 = '支付宝扫码支付'
}
