import { createContext, useContext } from 'react'
import { DeclContextType } from '../types'

const DeclContext = createContext<DeclContextType>({})

export function DeclProvider(props: { children: React.ReactNode }) {
  return <DeclContext.Provider value={{}}>{props.children}</DeclContext.Provider>
}

export function useDeclContext() {
  return useContext(DeclContext)
}
